GET /api/v1/recommendations/trending/recipe

Returns the recipes which are currently trending, best first. Recipes rank by their recent likes, boosts and preparations. The response only holds public items, minus the ones from accounts the viewer blocked. Publicly accessible without authentication.

Required Scopes

None (public endpoint).

Request Body

None.

Responses

200

trending recipes

Schema: array[recipe_output]

recipe_output

Field Type Required Description
id integer yes
slug string yes
name string yes
description string yes
description_html string yes
locale string yes
serving integer yes
serving_type string yes
visibility string yes
account account_output yes
likes_count integer yes
boosts_count integer yes
liked boolean yes
boosted boolean yes
collection_ids array[integer] yes
created_at string yes
published_at string yes
ingredients array[ingredient_output] yes
steps array[] yes